#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long x1,y1,x2,y2;

    scanf("%lld %lld",&x1,&y1);
    scanf("%lld %lld",&x2,&y2);

    if(x1 != x2 && y1!=y2 && ((x1-x2)!=(y1-y2)))
       printf("0\n");
    else if((x1-x2) == (y1-y2))
        printf("1\n");
    else if(x1 == x2 || y1 == y2)
        printf("2\n");

    return 0;
}